Extending Qt Creator Manual | NormalIndenter

Extending Qt Creator Manual 4.5.2

# NormalIndenter Class

(TextEditor::NormalIndenter)

Inherits: | TextEditor::Indenter

- List of all members, including inherited members

## Public Functions

| NormalIndenter()
| ~NormalIndenter() override
int | indentFor(const QTextBlock &block, const TabSettings &tabSettings) override

- 8 public functions inherited from TextEditor::Indenter

## Member Function Documentation

### NormalIndenter::NormalIndenter()

Default constructs an instance of NormalIndenter.

### NormalIndenter::~NormalIndenter()

Destroys the instance of NormalIndenter.

### int NormalIndenter::indentFor(const QTextBlock &block, const TabSettings &tabSettings)